ccacmd.exe States it Requires Administrative Rights when Run with /UpdateConfigs Despite it Already Running as an Administrator

Version 1

    Verified Product Versions

    AppSense Management Center 8.7AppSense Management Center 8.6

    Introduction

    When trying to run ccacmd.exe with the /updateconfigs switch, you may be confronted with the following error:

    "The specified command could not be completed. Administrative rights required"

    This occurs despite ccacmd.exe being run as an Administrator.

    Detail

    This issue is caused by insufficient Deployment Agent Permissions, provisioned by the Management Center to clients on a per-Deployment Group basis.

    The following permissions must be enabled in AppSense Management Center

    "Home > Deployment Groups > (Specific Deployment Group) > Settings > General tab > Deployment Agent Permissions: Allow Update Initiation"